%define upstream_name    Dist-Zilla-Plugin-InsertCopyright
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Insert copyright statement into source code files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module replaces a special '# COPYRIGHT' comment in your Perl source
files with a short notice appropriate to your declared copyright. The
special comment *must* be placed before '__END__'. Only the first such
comment will be replaced.

It is inspired by excellent the Dist::Zilla::Plugin::Prepender manpage but
gives control of the copyright notice placement instead of always adding it
at the start of a file.

I wrote this to let me put copyright statements at the end of my code to
keep line numbers of code consistent between the generated distribution and
the repository source. See the Dist::Zilla::Plugin::OurPkgVersion manpage
for another useful plugin that preserves line numbering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.5.0-9.mga9
+ Revision: 1803289
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-8.mga8
+ Revision: 1494342
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-7.mga7
+ Revision: 1267535
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-6.mga6
+ Revision: 1026228
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-5.mga6
+ Revision: 970331
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.5.0-4.mga6
+ Revision: 885942
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 744138
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 0.5.0-1.mga5
+ Revision: 608329
- update to 0.005

* Mon Feb 24 2014 jquelin <jquelin> 0.3.0-1.mga5
+ Revision: 596252
- update to 0.003

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 532721
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 469509
- update to 0.002

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-Dist-Zilla-Plugin-InsertCopyright


* Fri Aug 26 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
